Skip to content

Lists settlements

Request

GET {{baseURL}}/v2/settlements/batches

This endpoint lists transaction batch settlements.

createdOn is null for the currently open batch, since its record is only materialized once settlement completes.

This endpoint requires a merchant API token. A partner API token will result in a permissions error including possibly a 403 response.

See Also:
To close the open batch and submit it for settlement, see POST /v2/settlements/batches/close.
To retrieve all transactions within a specific batch, see GET /v2/transactions with the batchId filter.

Security
Bearer
Query
pageIndexinteger, (int32), >= 0

Specifies the page number of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.

For page size information, see pageSize.

Example: 0

Default:0
pageSizeinteger, (int32), [ 1 .. 100 ]

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

For page numbering information, see pageIndex.

Example: 50

Default:20
sortOrderstring, <= 4 characters

Specifies the sort order.

The sort order is specified by the sortOrder value.
The field that gets sorted by is specified by the sortBy value.

Valid values are:

ValueDescription
ascSorts results in ascending order, from the lowest value to the highest, or from the oldest timestamp to the most recent.
descSorts results in descending order, from the highest value to the lowest, or from the most recent timestamp to the oldest.
Default:"desc"
Example:sortOrder=desc
sortBystring, <= 16 characters

Specifies the field the results get ordered or sorted by.

If null or omitted, results come back newest first.

The sort order is specified by the sortOrder value.

The following fields may be used to sort results:
createdOn
totalNetAmount
transactionCount
batchStatus

Example: totalNetAmount

Default:"createdOn"
Example:sortBy=totalNetAmount
fromDatestring, (date-time)

Specifies a filter to return items at or after this date-time (in an ISO 8601 date-time format).

If only fromDate is specified, the search returns all available items from the fromDate value to the present. The fields fromDate and toDate may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example: 2025-01-27T12:05:54.322Z

Example:fromDate=2025-01-27T12:05:54.322Z
toDatestring, (date-time)

Specifies a filter to return items at or before this date-time (in an ISO 8601 date-time format).

If only toDate is specified, the search returns all available items up to the toDate value. The fields fromDate and toDate may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example: 2026-02-27T12:05:54.322Z

Example:toDate=2026-02-27T12:05:54.322Z
batchIdsArray of strings, (uuid)

Filters by with an array of specified batch identifiers.

Example: fe08c47b-2c3d-4e4f-5a6b-7c8d9e0f1a47

Example:batchIds=fe08c47b-2c3d-4e4f-5a6b-7c8d9e0f1a47&batchIds=0f19d58c-3d4e-4f5a-6b7c-8d9e0f1a2b58
paymentProcessorIdsArray of strings, (uuid)

Filters by an array of specified payment processor identifiers.

Example: 1a2ae69d-4e5f-4a6b-7c8d-9e0f1a2b3c69

Example:paymentProcessorIds=1a2ae69d-4e5f-4a6b-7c8d-9e0f1a2b3c69
batchStatusstring

Specifies a filter for the batch settlement type.

Valid values are:

Batch TypeMeaning
OpenAn open batch is still active and accepting transactions.
PendingSettlementThe batch has been submitted for settlement and is processing with the acquirer or bank.
SettledA settled batch has completed processing with the acquirer or bank.
DeclinedThe batch settlement was declined by the acquirer or bank.

Example: Open

Enum:"Open""PendingSettlement""Settled""Declined"
Example:batchStatus=Open
curl -i -X GET \
  'https://sandbox.api.flute.com/v2/settlements/batches?pageIndex=0&pageSize=20&sortOrder=desc&sortBy=totalNetAmount&fromDate=2025-01-27T12%3A05%3A54.322Z&toDate=2026-02-27T12%3A05%3A54.322Z&batchIds=fe08c47b-2c3d-4e4f-5a6b-7c8d9e0f1a47%2C0f19d58c-3d4e-4f5a-6b7c-8d9e0f1a2b58&paymentProcessorIds=1a2ae69d-4e5f-4a6b-7c8d-9e0f1a2b3c69&batchStatus=Open' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null

Indicates an object returning found batch settlements.

pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "items": [ { "batchId": "21c75430-a316-456f-9126-365760dca33a", "paymentProcessorId": "1092a854-1708-4e0c-8d86-1b8fe34b37ec", "paymentProcessorName": "TSYS", "externalBatchId": "BATCH-001", "createdOn": "2026-03-23T12:00:00Z", "transactionCount": 15, "totalNetAmount": 1250, "totalSalesAmount": 1300, "totalRefundsAmount": 50, "batchStatus": "Settled" } ], "pageInfo": { "pageIndex": 0, "pageSize": 20, "totalItems": 150, "totalPages": 8, "hasMore": true } }